#include <iostream>

using namespace std;

int main()
{
    short n;
    int l, h;
    cin>>n>>l;
    for(short i=1;i<=n;i++)
    {
        cin>>h;
        if(h<=l)
        {
            cout<<i<<endl;
            return 0;
        }
    }
    cout<<-1<<endl;
    return 0;
}